
.payment {
  width: 90%;
  max-width: 688px;
  @include marg-center;
  margin-top: 70px;
  background: $white;
  @include respond-to(screen-sm) {
    margin-top: 134px;
  }
  // title
  &__title {
    background: $primaryColor;
    color: $white;
    @include latoRegular(18px, 50px);
    padding: 0 20px;
    @include cstAnim(all);
    @include respond-to(screen-xl) {
      @include latoRegular(23px, 50px);
    }
  }

  // payment form
  &-form {
    border-bottom: 1px solid $stepBorderColor;

    // payment step and other layout
    &__step {
      border: 1px solid $stepBorderColor;
      border-top: none;
      border-bottom: none;
      margin: 0;
      padding: 0;
      display: none;
      &:nth-child(1) {
        .payment-form__group {
          padding: 36px 20px;
          @include respond-to(screen-xl) {
            padding: 36px 20px;
          }
          @include respond-to(screen-sm) {
            padding: 36px 40px;
          }

        }
      }
      &:nth-child(2) {
        .payment-form__group {
          padding: 27px 20px 0;
          background: $btnGroupColor;
          @include respond-to(screen-xl) {
            padding: 27px 20px 0;
          }
          @include respond-to(screen-sm) {
            padding: 27px 40px 0;
          }

        }
      }
      &.active {
        display: block;
      }
    }

    // group
    &__group {
      //padding: 0 40px;
    }

    // row
    &__row {
      margin-bottom: 20px;
      display: flex;
      flex-flow: row wrap;
      @include respond-to(screen-xl) {
        margin-bottom: 28px;
      }
      &:last-child {
        margin-bottom: 0;
      }
      &.payment-form__row--two-el {
        .payment-form__box {
          @include respond-to(screen-xl) {
            width: 50%;
            flex: 0 0 50%;
            flex-flow: row nowrap;
          }
          &:nth-child(2) {
            .payment-form__label {
              @include respond-to(screen-xl) {
                margin-left: 24px;

              }
            }
          }
        }
      }
    }

    // block for btns
    &__btns {
      background: $btnGroupColor;
      padding: 25px 20px 26px;
      display: flex;
      flex-flow: row wrap;
      align-items: center;
      @include respond-to(screen-xl) {
        padding: 36px 20px 42px;
      }
      @include respond-to(screen-sm) {
        padding: 36px 40px 42px;
      }
    }

    // box for label nad inputs
    &__box {
      width: 100%;
      display: flex;
      flex-flow: row wrap;
      align-items: center;
      justify-content: space-between;
      margin-bottom: 20px;
      &:last-child {
        margin-bottom: 0;
      }
      @include respond-to(screen-xl) {
        margin-bottom: 0;
      }
    }

    // box for inputs
    &__input-box {
      position: relative;
      width: 100%;
      &.payment-form__input-box--two-el {
        display: flex;
        flex-flow: row wrap;
        @include respond-to(screen-xl) {
          width: calc(100% - 142px);
          flex: 0 0 calc(100% - 142px);
        }
        .payment-form__input-box {
          width: 50%;
          flex: 0 0 50%;
          position: static;
          &:first-child {
            input {
              border-right: 0;

            }
          }
        }
      }
      &.payment-form__input-box--number {
        &:before {
          content: '';
          display: block;
          @include sprite($icon-card);
          position: absolute;
          top: 0;
          bottom: 0;
          left: 15px;
          margin: auto;
        }
        @include respond-to(screen-xl) {
          width: calc(100% - 131px);
          flex: 0 0 calc(100% - 131px);
        }
      }
      &.payment-form__input-box--cvv {
        &:before {
          content: '';
          display: block;
          @include sprite($icon-cvv);
          position: absolute;
          top: 0;
          bottom: 0;
          left: 15px;
          margin: auto;
        }
        @include respond-to(screen-xl) {
          width: calc(100% - 131px);
          flex: 0 0 calc(100% - 131px);
        }
      }
      &.payment-form__input-box--initial {
        &:before {
          content: '£';
          color: rgba($textColor, .3);
          @include robotoLight(20px, 40px);
          position: absolute;
          left: 18px;
          z-index: 2;

        }
        @include respond-to(screen-xl) {
          width: calc(100% - 131px);
          flex: 0 0 calc(100% - 131px);
        }
        &.full {
          input {
            background: $inputBg;
            color: $accentColor;
          }
        }
        input {
          font-size: 20px;
          padding-bottom: 5px;
          &:focus {
            background: $inputBg;
            color: $accentColor;

          }
        }
      }
      &.payment-form__input-box--monthly {
        &:before {
          content: '£';
          color: rgba($textColor, .3);
          @include robotoLight(20px, 40px);
          position: absolute;
          left: 18px;
          z-index: 2;
        }
        @include respond-to(screen-xl) {
          width: calc(100% - 142px);
          flex: 0 0 calc(100% - 142px);
        }
        &.full {
          input {
            background: $inputBg;
            color: $accentColor;
          }
        }
        input {
          font-size: 20px;
          padding-bottom: 5px;
          &:focus {
            background: $inputBg;
            color: $accentColor;

          }
        }
      }
    }

    // form elements
    &__label {
      text-transform: uppercase;
      color: $primaryColor;
      cursor: pointer;
      display: inline-block;
      @include ralewayBold(14px, 1.2);
      @include cstAnim(color);
      letter-spacing: .5px;
      margin-bottom: 5px;
      @include respond-to(screen-xl) {
        margin-bottom: 0;
      }
      &:hover, &:active {
        color: rgba($primaryColor, .7);
      }
    }

    // inputs
    &__input {
      border: 1px solid $inputBorderColor;
      height: 47px;
      display: block;
      width: 100%;
      outline: none;
      padding: 0 55px;
      color: $textColor;
      @include latoLight(14px, 45px);
      text-transform: uppercase;
      background: transparent;
      position: relative;
      z-index: 1;
      @include cstAnim(all);
      &.payment-form__input--center {
        text-align: center;
        padding: 0;
      }
      .payment-form__input-box.error & {
        border: 1px solid crimson;
      }
      .payment-form__input-box.correct & {
        border: 1px solid green;
      }
    }

    // btn
    &__btn {
      display: block;
      cursor: pointer;
      height: 60px;
      width: 208px;
      @include cstAnim(opacity);
      text-align: center;
      text-transform: uppercase;
      background: $accentColor;
      box-shadow: none;
      border: none;
      color: $white;
      @include latoLight(16px, 60px);
      @include marg-center;
      letter-spacing: 2px;
      outline: none;
      @include respond-to(screen-xl) {
        @include marg-null;
        margin-right: 26px;
      }
      &:hover, &:active {
        opacity: .7;
      }
    }

    &__notice {
      @include latoLight(14px, 1);
      color: $primaryColor;
      width: 100%;
      letter-spacing: .4px;
      text-align: center;
      margin-top: 5px;
      @include respond-to(screen-xl) {
        width: auto;
        margin-top: 0;
      }
    }

  }

  .validation-helper {
    display: none;
    position: absolute;
    top: 100%;
    background: crimson;
    border: 1px solid crimson;
    color: $white;
    left: 0;
    right: 0;
    width: 100%;
    margin-top: 10px;
    @include latoLight(12px, 1.2);
    padding: 4px;
    z-index: 10;
  }
}

.hide {
  display: none;
}

// payment tooltip
.payment-tooltip {
  margin-left: 10px;
  margin-right: auto;
  position: relative;
  &.open{
    .payment-tooltip__box{
      display: block;
    }
  }
  &__trigger {
    font-size: 0;
    cursor: pointer;
    &:before {
      content: '';
      @include spritesvg(icon-info);
    }
  }
  &__box {
    display: none;
    @extend %animated;
    @extend %fadeIn;
    position: absolute;
    @include tooltip-shadow;
    z-index: 10;
    background: $white;
    top: 50%;
    left: 32px;
    padding: 37px 15px 20px;
    transform: translateY(-50%);
    border-radius: 5px;
    border: 1px solid #c7c7cc;
    width: 200px;
    @include cstAnim(all);
    @include respond-to(screen-xs) {
      padding: 37px 30px 20px;
      width: 300px;
    }
    @include respond-to(screen-sm) {
      width: 441px;
    }
    &:before {
      content: '';
      display: block;
      width: 12px;
      height: 12px;
      border-top: 1px solid #c7c7cc;
      border-left: 1px solid #c7c7cc;
      transform: rotate(-45deg);
      position: absolute;
      left: -7px;
      top: 0;
      bottom: 0;
      margin: auto;
      background: $white;

    }
  }

  &__img {
    display: block;
    max-width: 100%;
    margin-bottom: 15px;
    @include respond-to(screen-sm){
      margin-left: 30px;
    }
  }
  &__title {
    @include ralewayBold(14px, 1);
    color: $textColor;
    margin-bottom: 7px;
  }
  &__text {
    @include latoLight(14px, 1.2);
    color: $textColor;

  }
}